# -*- encoding: utf-8 -*-
# -----------------------------------------------------------------------------
# @File Name  : app.py
# @Time       : 2020/11/18 下午12:45
# @Author     : X. Peng
# @Email      : acepengxiong@163.com
# @Software   : PyCharm
# -----------------------------------------------------------------------------

from flask import Flask
from flask_restful import Api
from app.router.version1 import add_route
from app.api.engine import template_folder
from flask_cors import *

app = Flask(__name__, template_folder=template_folder)
CORS(app, supports_credentials=True)
api = Api(app)
add_route(api)
